apiVersion: tekton.dev/v1beta1
kind: PipelineRun
metadata:
  name: sample-ds-pipeline
  annotations:
    tekton.dev/output_artifacts: '{}'
    tekton.dev/input_artifacts: '{}'
    tekton.dev/artifact_bucket: mlpipeline
    tekton.dev/artifact_endpoint: minio-service.kubeflow:9000
    tekton.dev/artifact_endpoint_scheme: http://
    tekton.dev/artifact_items: '{"data-collection": [], "data-pre-processing": [],
      "feature-engineering": [], "model-deployment": [], "model-optimization": [],
      "model-training": []}'
    sidecar.istio.io/inject: "false"
    pipelines.kubeflow.org/big_data_passing_format: $(workspaces.$TASK_NAME.path)/artifacts/$ORIG_PR_NAME/$TASKRUN_NAME/$TASK_PARAM_NAME
    pipelines.kubeflow.org/pipeline_spec: '{"description": "A pipeline with data science
      steps.", "name": "sample-ds-pipeline"}'
spec:
  pipelineSpec:
    tasks:
    - name: data-collection
      taskSpec:
        steps:
        - name: main
          args:
          - echo
          - Data Collection
          command:
          - sh
          - -c
          image: library/bash:4.4.23
        metadata:
          labels:
            pipelines.kubeflow.org/cache_enabled: "true"
          annotations:
            pipelines.kubeflow.org/component_spec_digest: '{"name": "Data Collection",
              "outputs": [], "version": "Data Collection@sha256=c7b190d17baeb582cce0bc8297087cee33013ac35a12b84b6f6144c3525fa6da"}'
    - name: data-pre-processing
      taskSpec:
        steps:
        - name: main
          args:
          - echo
          - Data Pre Processing
          command:
          - sh
          - -c
          image: library/bash:4.4.23
        metadata:
          labels:
            pipelines.kubeflow.org/cache_enabled: "true"
          annotations:
            pipelines.kubeflow.org/component_spec_digest: '{"name": "Data Pre Processing",
              "outputs": [], "version": "Data Pre Processing@sha256=6cbb9e6b0b4074e0de7ea5451f61e3d5abba3895632f504e401b9441d7fa7d72"}'
      runAfter:
      - data-collection
    - name: feature-engineering
      taskSpec:
        steps:
        - name: main
          args:
          - echo
          - Feature Engineering
          command:
          - sh
          - -c
          image: library/bash:4.4.23
        metadata:
          labels:
            pipelines.kubeflow.org/cache_enabled: "true"
          annotations:
            pipelines.kubeflow.org/component_spec_digest: '{"name": "Feature Engineering",
              "outputs": [], "version": "Feature Engineering@sha256=711126aae5bdc867b9eb235dcf99f1c38cda1d89c050cc7faa153cf78a3ccd41"}'
      runAfter:
      - data-pre-processing
    - name: model-training
      taskSpec:
        steps:
        - name: main
          args:
          - echo
          - Model Training
          command:
          - sh
          - -c
          image: library/bash:4.4.23
        metadata:
          labels:
            pipelines.kubeflow.org/cache_enabled: "true"
          annotations:
            pipelines.kubeflow.org/component_spec_digest: '{"name": "Model Training",
              "outputs": [], "version": "Model Training@sha256=8f110fdd61bbbccbd25a5ad0b8b85b848c9f8b2f2ad1d8642424854cb5c8c41b"}'
      runAfter:
      - feature-engineering
      - feature-engineering
    - name: model-optimization
      taskSpec:
        steps:
        - name: main
          args:
          - echo
          - Model Optimization
          command:
          - sh
          - -c
          image: library/bash:4.4.23
        metadata:
          labels:
            pipelines.kubeflow.org/cache_enabled: "true"
          annotations:
            pipelines.kubeflow.org/component_spec_digest: '{"name": "Model Optimization",
              "outputs": [], "version": "Model Optimization@sha256=7389fc89d9e59613e72554ad82f4fb9d45d134cc298bc50db9d093958e2948d4"}'
      runAfter:
      - model-training
    - name: model-deployment
      taskSpec:
        steps:
        - name: main
          args:
          - echo
          - Model Deployment
          command:
          - sh
          - -c
          image: library/bash:4.4.23
        metadata:
          labels:
            pipelines.kubeflow.org/cache_enabled: "true"
          annotations:
            pipelines.kubeflow.org/component_spec_digest: '{"name": "Model Deployment",
              "outputs": [], "version": "Model Deployment@sha256=13aacffa0ed890ccb4636af29cacfb1a5b71af29bae3304840a009b7922a6ba2"}'
      runAfter:
      - model-optimization
